@extends('themes.base.layout')
@section('title', 'Gallery Admin')

@section('content')
    <div class="container">
        <div class="row">
            <div class="col-xs-12">
                @if (count($albums) == 0)
                    <div class="text-center">
                        <h3>@lang('admin.no_albums_title')</h3>
                        <p>@lang('admin.no_albums_text')</p>
                        <p style="margin-top: 40px;">
                            <a href="{{ route('albums.create') }}" class="btn btn-lg btn-success">@lang('admin.create_album')</a>
                        </p>
                    </div>
                @else
                    <table class="table table-hover table-striped">
                        <thead>
                            <tr>
                                <th>@lang('admin.list_albums_name_column')</th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($albums as $album)
                            <tr>
                                <td>
                                    <span style="font-size: 1.3em;"><a href="{{ route('albums.show', ['id' => $album->id]) }}">{{ $album->name }}</a></span><br/>
                                    <p>{{ $album->description }}</p>
                                </td>
                                <td class="text-right">
                                    <a href="{{ route('albums.edit', ['id' => $album->id]) }}" class="btn btn-default">@lang('forms.edit_action')</a>
                                    <a href="{{ route('albums.delete', ['id' => $album->id]) }}" class="btn btn-danger">@lang('forms.delete_action')</a>
                                </td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>

                    <div style="margin-top: 10px;">
                        <a href="{{ route('albums.create') }}" class="btn btn-success"><i class="fa fa-fw fa-plus"></i> @lang('admin.create_album_link')</a>
                    </div>
                @endif
            </div>
        </div>
    </div>
@endsection