@extends('themes.base.layout')
@section('title', 'Welcome')

@section('content')
    <div class="container">
        <div class="row">
            @foreach ($albums as $album)
            <div class="col-xs-12 col-sm-4">
                <div class="panel panel-default album-index">
                    <div class="panel-heading"><a href="{{ $album->url() }}">{{ $album->name }}</a></div>
                    <div class="panel-body">
                        <p class="text-center">
                            @php($albumUrl = $album->thumbnailUrl('preview'))
                            @if (strlen($albumUrl) > 0)
                                <img class="img-responsive" src="{{ $albumUrl }}"/>
                            @endif
                        </p>
                        <p>{{ $album->description }}</p>
                    </div>
                    <div class="panel-footer">
                        <span class="text-left"><b>{{ $album->photos_count }}</b> photos</span>
                        <span class="pull-right"><a href="{{ $album->url() }}" class="btn btn-sm btn-default">Open album</a></span>
                        <span class="clearfix"></span>
                    </div>
                </div>
            </div>
            @endforeach
        </div>
    </div>
@endsection